using System;

namespace madjionicar_takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            int k1 = 0;
            string[] z = Console.ReadLine().Split(' ');
            int[] a = new int[n];
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(z[i]);
                if (k == a[i])
                {
                    k1 = i;
                }
            }
            if (k1 + 1 == n)
            {
                Console.WriteLine(a[0]);
            }
            else
            {
                Console.WriteLine(a[k1 + 1]);
            }
        }
    }
}